Bug 853017 - Input method switch is strange in the others application except gtk3 applications
Input method switch is strange in the others application except gtk3 applicat...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 05:35 EDT by sangu
Modified: 2012-09-26 19:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 19:16:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2012-08-30 05:35:09 EDT
Description of problem:
Input method switch is strange in the others application except gtk3 applications.
After Moving focus to other application, input method is changed.

Version-Release number of selected component (if applicable):
1.4.99.20120822-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open oowriter
2. Switch hangul input method (click ctrl+space) in oowriter
3. input hangul 
No change
4. Moving focus to other application  
5. Moving focus to oowriter,again
Input Hangul 
O.K

Actual results:


Expected results:


Additional info:
Comment 1 sangu 2012-08-30 05:39:31 EDT
This issue happens in xchat, firefox, oowriter, etc.
Comment 2 Rui Matos 2012-08-30 05:46:06 EDT
All of them use gtk+ 2 I think, right? We could probably backport this commit http://git.gnome.org/browse/gtk+/commit/?id=a0f155e83938f6c3e63c312107dee2a970c2eb15 back to gtk+ 2.
Comment 3 sangu 2012-08-30 05:51:08 EDT
ㄱ(In reply to comment #2)
> All of them use gtk+ 2 I think, right?
This issue happens in xterm, too.

> We could probably backport this
> commit
> http://git.gnome.org/browse/gtk+/commit/
> ?id=a0f155e83938f6c3e63c312107dee2a970c2eb15 back to gtk+ 2.
Comment 4 sangu 2012-08-31 01:02:02 EDT
Hmm...
Input method cannot be switched in xterm.
different issue?
1. Open xterm
2. Click ctrl + space
No Change
3. move input focus, again
No Change,
Comment 5 fujiwara 2012-08-31 03:28:44 EDT
OK, probably gtk2 needs some changes. Transferring to gtk2.

(In reply to comment #2)
> http://git.gnome.org/browse/gtk+/commit/
> ?id=a0f155e83938f6c3e63c312107dee2a970c2eb15 back to gtk+ 2.

I applied that patch but gtk apps freezes.

xterm is the different issue.

You could run 'env XMODIFIERS=@im=ibus xterm' instead.
Comment 7 fujiwara 2012-09-04 21:41:13 EDT
(In reply to comment #6)
> Should be fixed by
> http://git.gnome.org/browse/gnome-settings-daemon/commit/
> ?id=3687fb700ed5858ac85aaf6f0a0d95d6d8e1eeed
> and
> http://git.gnome.org/browse/gnome-settings-daemon/commit/
> ?id=ffc1aa5a04ef1f1f497797ba6f2a1da7653a43f8
> 
> in gnome-settings-daemon 3.5.91, I think.

Bug 853678 is open for xterm instead and this bug is for gtk2.
Comment 8 Matthias Clasen 2012-09-10 07:55:34 EDT
I've done the backport mentioned in comment 2 upstream now. Should show up in F18 with gnome 3.5.92
Comment 9 fujiwara 2012-09-11 07:17:59 EDT
I confirmed gtk-2-24 branch resolves this problem.
Comment 10 Matthias Clasen 2012-09-26 19:16:58 EDT
This change is in updates-testing now.

Note You need to log in before you can comment on or make changes to this bug.